// Card123Dlg.h : 헤더 파일
//

#pragma once
#include "afxwin.h"

#include "WOOSIM_PRINTER_LIB.h"

#pragma comment(lib, "WoosimPrinter.lib")



// CCard123Dlg 대화 상자
class CCard123Dlg : public CDialog
{
// 생성입니다.
public:
	CCard123Dlg(CWnd* pParent = NULL);	// 표준 생성자입니다.

// 대화 상자 데이터입니다.
	enum { IDD = IDD_CARD123_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원입니다.
	
	
// 구현입니다.
protected:
	HICON m_hIcon;

	// 생성된 메시지 맵 함수
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	int iRet;
	CString strDataHex, strDataAscii;
	CString m_strReceivedata;
	CButton m_btnCtrlHex;
	CButton m_btnCtrlAscii;
	afx_msg void OnBnClickedButtonOpen();
	CString m_strStatus;
	CString m_strMsg;
	CString m_strCardNo;
	
	CComboBox m_cboCtrlPort;
	CComboBox m_cboCtrlBaud;
	CComboBox m_cboCtrlProtocol;
	afx_msg void OnBnClickedButton2track();
	afx_msg void OnBnClickedButton3track();
	afx_msg void OnBnClickedButton23track();
	afx_msg void OnBnClickedButtonCancel();
	afx_msg void OnBnClickedButtonHex();
	afx_msg void OnBnClickedButtonAscii();
	afx_msg void OnBnClickedButtonPrint();
	//afx_msg LONG OnMyMessage(WPARAM wParam, LPARAM lParam);
	CString m_strValidDate;

	
public:
	afx_msg void OnBnClickedButtonPrint4();
public:
	afx_msg void OnBnClickedButtonPrint2();
public:
	afx_msg void OnBnClickedButtonPrint3();
public:
	CString m_SetIP;

public:
	CButton m_chkCtrlTcpip;
	afx_msg void OnBnClickedButtonClose();
//protected:
//	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
protected:
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
};
